zabbix_export:
  version: '7.4'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  host_groups:
    - uuid: f2481361f99448eea617b7b1d4765566
      name: 'Discovered hosts'
  templates:
    - uuid: deab29b465bc4b8882aa4eb0a58fdd73
      template: 'Nested LLD template'
      name: 'Nested LLD template'
      groups:
        - name: Templates
      discovery_rules:
        - uuid: 7505de263b0c4b428dbbfe817c6666bf
          name: '3rd level LLD'
          type: NESTED
          key: 'lld_trap[{#L0},{#L1},{#L2}]'
          item_prototypes:
            - uuid: 8e206b78308d4ec69b545df6d4c7cf85
              name: '3rd Level item prototype {#L0} {#L1} {#L2} {#L3}'
              type: TRAP
              key: 'trap3[{#L0},{#L1},{#L2},{#L3}]'
              trigger_prototypes:
                - uuid: 5b4986c3687842a7b80499d4e5a2dad6
                  expression: 'last(/Nested LLD template/trap3[{#L0},{#L1},{#L2},{#L3}])<>3'
                  name: '3rd level Trigger prototype {#L0} {#L1} {#L2} {#L3}'
                  priority: HIGH
          graph_prototypes:
            - uuid: 61a5cb04298e4c5797e7fbfd5a98e2a7
              name: '1st level Graph prototype {#L0} {#L1} {#L2} {#L3}'
              yaxismax: '0'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: 'Nested LLD template'
                    key: 'trap3[{#L0},{#L1},{#L2},{#L3}]'
          host_prototypes:
            - uuid: 887e299cbad64162a47515f256537460
              host: '3rd Level Host prototype {#L0} {#L1} {#L2} {#L3}'
              name: '3rd Level Host prototype {#L0} {#L1} {#L2} {#L3}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          parent_discovery_rule:
            key: 'lld_trap[{#L0},{#L1}]'
          lld_macro_paths:
            - lld_macro: '{#L3}'
              path: $.level_3
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_3
        - uuid: 6faecf2458454853b536d68d9700be3c
          name: '2nd level LLD'
          type: NESTED
          key: 'lld_trap[{#L0},{#L1}]'
          item_prototypes:
            - uuid: 45b6c61a283042ccaa2a400d47d2d85c
              name: '2nd level Item prototype'
              type: TRAP
              key: 'trap2[{#L0},{#L1},{#L2}]'
              trigger_prototypes:
                - uuid: ac02e3230680446f89dcad29f5811a87
                  expression: 'last(/Nested LLD template/trap2[{#L0},{#L1},{#L2}])<>2'
                  name: '2nd level trigger prototype'
                  priority: WARNING
          graph_prototypes:
            - uuid: daac6819c46046dbb0a48341370e1e75
              name: '2nd level Graph prototype {#L0} {#L1} {#L2}'
              yaxismax: '0'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: 'Nested LLD template'
                    key: 'trap2[{#L0},{#L1},{#L2}]'
          host_prototypes:
            - uuid: 5fdd56a5adcc4ffd9f617114f0a49ab7
              host: '2nd level host prototype {#L0} {#L1} {#L2}'
              name: '2nd level host prototype {#L0} {#L1} {#L2}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          parent_discovery_rule:
            key: 'lld_trap[{#L0}]'
          lld_macro_paths:
            - lld_macro: '{#L2}'
              path: $.level_2
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_2
        - uuid: fcbf6cc4234a4ecc8ad8720d3001042c
          name: '1st level LLD'
          type: NESTED
          key: 'lld_trap[{#L0}]'
          item_prototypes:
            - uuid: deba7fb87ef249e1af47de5ddfd39f7f
              name: '1st level item prototype'
              type: TRAP
              key: 'trap1[{#L0},{#L1}]'
              trigger_prototypes:
                - uuid: 4f2b93697c5843aaafbf842c512f96a2
                  expression: 'last(/Nested LLD template/trap1[{#L0},{#L1}])<>1'
                  name: '1st level Trigger prototype {#L0} {#L1}'
                  priority: WARNING
          graph_prototypes:
            - uuid: 397993eeb9ca4164985a36543b95a8fc
              name: '1st level Graph prototype {#L0} {#L1}'
              yaxismax: '0'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: 'Nested LLD template'
                    key: 'trap1[{#L0},{#L1}]'
          host_prototypes:
            - uuid: d08757d933fd477c8d1f6f80fdcdacdb
              host: '1st Level Host prototype {#L0} {#L1}'
              name: '1st Level Host prototype {#L0} {#L1}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          parent_discovery_rule:
            key: trap
          lld_macro_paths:
            - lld_macro: '{#L1}'
              path: $.level_1
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.path_to_1
        - uuid: ddbee8a27f714c008ac04287c3b6397c
          name: 'Root level LLD'
          type: TRAP
          key: trap
          item_prototypes:
            - uuid: b2d36505b5124d8ea7d1e881ad154a60
              name: 'Root level item prototype'
              type: TRAP
              key: 'trap0[{#L0}]'
              trigger_prototypes:
                - uuid: 251a05fcc99d4e619dda9ee15564083a
                  expression: 'last(/Nested LLD template/trap0[{#L0}])<>0'
                  name: 'Root level Trigger prototype'
                  priority: WARNING
          graph_prototypes:
            - uuid: 8e9fe70ac8294eb6a965409b2db0e0fc
              name: 'Root level Graph prototype {#L0}'
              graph_items:
                - color: 1A7C11
                  calc_fnc: ALL
                  item:
                    host: 'Nested LLD template'
                    key: 'trap0[{#L0}]'
          host_prototypes:
            - uuid: d67d3e8af5bb441fa0fcd722208f7b0a
              host: 'Root level Host prototype {#L0}'
              name: 'Root level Host prototype {#L0}'
              group_links:
                - group:
                    name: 'Discovered hosts'
          lld_macro_paths:
            - lld_macro: '{#L0}'
              path: $.level_0
